Đến nội dung


Hình ảnh
- - - - -

Hàm Lấy Tên Layer Khi Chọn Đối Tượng


  • Please log in to reply
3 replies to this topic

#1 hatesale

hatesale

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 07 September 2015 - 11:48 AM

Em chào các bác!

Các bác giúp em viết 1 cái hàm lấy tên layer khi chọn đối tượng với nhé. em cảm ơn


  • 0

#2 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 07 September 2015 - 12:58 PM

(Defun duy:d_layer (/ kqlayer dchon)
(princ "\nChon doi tuong chua layer")
(setq dchon (entsel))
(while
(null dchon)
(princ "\nChon doi tuong khong thanh cong. Chon doi tuong chua layer!")
(setq dchon (entsel))
)
(setq kqlayer (cdr (assoc 8 (entget (car dchon)))))
kqlayer)


  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#3 Tr.CongSon

Tr.CongSon

    biết lệnh array

  • Members
  • PipPipPip
  • 183 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 07 September 2015 - 05:43 PM

Hàm entsel có dòng nhắc mà a Duy ^^

Chắc không cần princ ở dòng đầu a hì .Hi

Mạn phép a, Em sửa lại như vậy .

 

(Defun duy:d_layer (/ dchon)
(while
(null (setq dchon (entsel"\nCh\U+1ECDn \U+0111\U+1ED1i t\U+01B0\U+1EE3ng ch\U+1EE9a c\U+1EA7n l\U+1EA5y Layer: ")))
(princ "\nCh\U+1ECDn l\U+1ED7i.Vui l\U+00F2ng ch\U+1ECDn l\U+1EA1i.")
)
(cdr (assoc 8 (entget (car dchon))))
)


  • 0

#4 hatesale

hatesale

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 07 September 2015 - 10:17 PM

cảm ơn các bác. Em làm được rồi


  • 0